classification
Title: On AIX, test_unpack_archive_xztar fails with default MAXDATA settings
Type: enhancement Stage: resolved
Components: Tests Versions: Python 3.8, Python 3.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: Michael.Felt, miss-islington
Priority: normal Keywords: patch

Created on 2019-01-10 09:12 by Michael.Felt, last changed 2019-06-18 09:19 by Michael.Felt. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 11500 merged Michael.Felt, 2019-01-10 09:22
PR 11914 merged ncoghlan, 2019-02-18 11:13
PR 14194 open Michael.Felt, 2019-06-18 09:19
Messages (5)
msg333370 - (view) Author: Michael Felt (Michael.Felt) * Date: 2019-01-10 09:12
By default AIX builds 32-bit applications - and the combined .data, .bss and .stack areas share one memory segment of 256 Mbyte.

This can be modified by either specifying a larger value for maxdata during linking (e.g., with LDFLAGS=-bmaxdata:0x40000000) or using the program ldedit (e.g., ldedit -b maxdata:0x40000000).

The subtest test_shutil.test_unpack_archive_xztar fails with the default. The patch here looks at the MAXDATA value of the executable XCOFF headers and skips the test when AIX is 32-bit and MAXDATA < 0x20000000.

This helps the result of AIX bots to be more accurate - as this so-called failure is not an issue with python itself.
msg335807 - (view) Author: miss-islington (miss-islington) Date: 2019-02-18 11:02
New changeset ef110b18074300e2302a68a2a476ae35bead7916 by Miss Islington (bot) (Michael Felt) in branch 'master':
bpo-35704: Prevent test_shutil fail result when AIX is 32-bit and MAXDATA < 0x20000000 (GH-11500)
https://github.com/python/cpython/commit/ef110b18074300e2302a68a2a476ae35bead7916
msg335818 - (view) Author: miss-islington (miss-islington) Date: 2019-02-18 11:23
New changeset 02c04f26dfa637db7091b7e16036a980bbf40893 by Miss Islington (bot) (Nick Coghlan) in branch 'master':
bpo-35704: Include correct NEWS entry (GH-11914)
https://github.com/python/cpython/commit/02c04f26dfa637db7091b7e16036a980bbf40893
msg337627 - (view) Author: Michael Felt (Michael.Felt) * Date: 2019-03-10 18:25
Could this also be backported to 3.7 and 3.6 please?
msg337703 - (view) Author: Michael Felt (Michael.Felt) * Date: 2019-03-11 21:46
On 10/03/2019 19:25, Michael Felt wrote:
> Michael Felt <aixtools@felt.demon.nl> added the comment:
>
> Could this also be backported to 3.7 and 3.6 please?
Only 3.7 I guess - As 3.6 is in security mode.
>
> ----------
> versions: +Python 3.6, Python 3.7
>
> _______________________________________
> Python tracker <report@bugs.python.org>
> <https://bugs.python.org/issue35704>
> _______________________________________
>
History
Date User Action Args
2019-06-18 09:19:00Michael.Feltsetpull_requests: + pull_request14031
2019-03-12 07:34:44Michael.Feltsetversions: - Python 3.6
2019-03-11 21:46:02Michael.Feltsetmessages: + msg337703
2019-03-10 18:25:48Michael.Feltsetmessages: + msg337627
versions: + Python 3.6, Python 3.7
2019-02-18 11:24:29ncoghlansetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2019-02-18 11:23:38miss-islingtonsetmessages: + msg335818
2019-02-18 11:13:16ncoghlansetpull_requests: + pull_request11941
2019-02-18 11:02:48miss-islingtonsetnosy: + miss-islington
messages: + msg335807
2019-01-10 09:22:59Michael.Feltsetkeywords: + patch
stage: patch review
pull_requests: + pull_request11029
2019-01-10 09:12:51Michael.Feltcreate